## ros-kinetic-leap-motion 0.0.11

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(leap_motion)

find_package(catkin REQUIRED COMPONENTS roscpp rospy roslib std_msgs geometry_msgs message_generation sensor_msgs visualization_msgs camera_info_manager rospack camera_calibration_parsers)

find_package(OpenMP)
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${OpenMP_C_FLAGS}")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${OpenMP_EXE_LINKER_FLAGS}")


add_message_files(
    FILES
    leap.msg
    leapros.msg
)

generate_messages(
   DEPENDENCIES
   std_msgs
   geometry_msgs
   sensor_msgs
   visualization_msgs
)

catkin_package(
   INCLUDE_DIRS include
#  LIBRARIES leap_motion
   CATKIN_DEPENDS roscpp rospy std_msgs message_runtime
#  DEPENDS system_lib
)

include_directories(include
  ${catkin_INCLUDE_DIRS}
  if($ENV{LEAP_SDK} $ENV{LEAP_SDK}/include)
)

install(PROGRAMS
  scripts/leap_interface.py scripts/sender.py scripts/subscriber.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)
install(DIRECTORY
  launch
  camera_info
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
if(DEFINED ENV{LEAP_SDK})
  add_executable(leap_camera src/leap_camera.cpp)
  target_link_libraries(leap_camera
    ${catkin_LIBRARIES} $ENV{LEAP_SDK}/lib/x64/libLeap.so
  )

  add_executable(leap_hands src/leap_hands.cpp)
  target_link_libraries(leap_hands
    ${catkin_LIBRARIES} $ENV{LEAP_SDK}/lib/x64/libLeap.so
  )

  install(TARGETS leap_camera leap_hands
    RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  )
endif()

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  add_rostest(test/test_leap_motion.test test/test_sender.test)
endif()

=== debian/changelog ===
ros-kinetic-leap-motion (0.0.11-0xenial) xenial; urgency=high

  * [fix] ROS Hydro onward requires queue_size option #31 <https://github.com/ros-drivers/leap_motion/issues/31>
  * Contributors: Kei Okada

 -- Florian Lier <flier@techfak.uni-bielefeld.de>  Sat, 14 Jan 2017 08:00:00 -0000

ros-kinetic-leap-motion (0.0.10-0xenial) xenial; urgency=high

  * [fix][sys] launch and camera_info directory should be installed
    [fix][sys] a bug of the check method of LEAP_SDK environment value #27 <https://github.com/ros-drivers/leap_motion/issues/28>
  * [sys] Add tests #25 <https://github.com/ros-drivers/leap_motion/issues/25>
  * Contributors: Kenta Yonekura, Isaac I.Y. Saito

 -- Florian Lier <flier@techfak.uni-bielefeld.de>  Sat, 18 Jun 2016 07:00:00 -0000

ros-kinetic-leap-motion (0.0.9-0xenial) xenial; urgency=high

  * [feat] Added individual coordinates for each finger bone (#23 <https://github.com/ros-drivers/leap_motion/issues/23>)
  * [feat] Better way of parameter declaration (#17 <https://github.com/ros-drivers/leap_motion/issues/17>)
  * [sys] Update travis conf to Ubuntu Trusty and ROS I-J (#22 <https://github.com/ros-drivers/leap_motion/issues/22>)
  * Contributors: Isaac I.Y. Saito, Tu-Hoa Pham

 -- Florian Lier <flier@techfak.uni-bielefeld.de>  Mon, 14 Dec 2015 08:00:00 -0000

ros-kinetic-leap-motion (0.0.8-0xenial) xenial; urgency=high

  * (Feature) Take ROS msg publish frequency from commandline, set it to Parameter Server
  * (Maintenance) Add unittest structure.
  * Contributors: Isaac I.Y. Saito

 -- Florian Lier <flier@techfak.uni-bielefeld.de>  Thu, 30 Apr 2015 07:00:00 -0000

ros-kinetic-leap-motion (0.0.7-0xenial) xenial; urgency=high

  * Build some binaries only when SDK is installed (Fix to https://github.com/ros-drivers/leap_motion/issues/7).
  * Contributors: Isaac I.Y. Saito, Yu Ohara

 -- Florian Lier <flier@techfak.uni-bielefeld.de>  Wed, 24 Dec 2014 08:00:00 -0000

ros-kinetic-leap-motion (0.0.6-0xenial) xenial; urgency=high

  * Fix typo in dependency. #5 <https://github.com/ros-drivers/leap_motion/issues/5> from 130s/typo_dependency
  * Contributors: Isaac IY Saito

 -- Florian Lier <flier@techfak.uni-bielefeld.de>  Tue, 18 Nov 2014 08:00:00 -0000

ros-kinetic-leap-motion (0.0.5-0xenial) xenial; urgency=high

  * Enhancements for skeleton/finger tf frame publishing as well as code cleanup
  * Code cleanup
  * skeleton sender added
  * Adjusted to new LeapMotion API (Fall 2013)
  * Changed license to BSD
  * Contributors: Florian Lier, Igor Zubrycki, Mirza Shah, Isaac IY Saito

 -- Florian Lier <flier@techfak.uni-bielefeld.de>  Mon, 17 Nov 2014 08:00:00 -0000

ros-kinetic-leap-motion (0.0.4-0xenial) xenial; urgency=high



 -- Florian Lier <flier@techfak.uni-bielefeld.de>  Mon, 28 Oct 2013 07:00:00 -0000

ros-kinetic-leap-motion (0.0.3-0xenial) xenial; urgency=high

  * Initial release as ROS package.
  * Provides basic publisher for Leap Motion device.

 -- Florian Lier <flier@techfak.uni-bielefeld.de>  Thu, 24 Oct 2013 07:00:00 -0000

=== debian/control ===
Source: ros-kinetic-leap-motion
Section: misc
Priority: extra
Maintainer: Florian Lier <flier@techfak.uni-bielefeld.de>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-camera-calibration-parsers, ros-kinetic-camera-info-manager, ros-kinetic-catkin, ros-kinetic-geometry-msgs, ros-kinetic-image-transport, ros-kinetic-message-generation, ros-kinetic-roscpp, ros-kinetic-roslib, ros-kinetic-rospack, ros-kinetic-rospy, ros-kinetic-rostest, ros-kinetic-std-msgs, ros-kinetic-visualization-msgs
Homepage: https://wiki.ros.org/leap_motion
Standards-Version: 3.9.2

Package: ros-kinetic-leap-motion
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-camera-calibration-parsers, ros-kinetic-camera-info-manager, ros-kinetic-geometry-msgs, ros-kinetic-image-transport, ros-kinetic-message-runtime, ros-kinetic-roscpp, ros-kinetic-roslib, ros-kinetic-rospack, ros-kinetic-rospy, ros-kinetic-std-msgs, ros-kinetic-visualization-msgs
Description: ROS driver for the Leap Motion gesture sensor

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-leap-motion//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
